.lines-top {
    border-top: dotted 1px #b4b4b4;
    padding-top: 4%;
}

.slgcontainer {
    position: relative;
    width: 100%;
    max-width: 700px;
    margin: auto;
    overflow: hidden;
}

.mySlides {
    display: none;
    animation: fadeEffect 1s;
}

.mySlides img {
    width: 100%;
    height: 40vh; /* Giữ nguyên tỷ lệ ảnh */
    object-fit: cover;
}

@keyframes fadeEffect {
    from {
        opacity: 0.4;
    }

    to {
        opacity: 1;
    }
}

.cursor {
    cursor: pointer;
}

.slgprev,
.slgnext {
    cursor: pointer;
    position: absolute;
    top: 40%;
    /* Đưa nút lên giữa */
    transform: translateY(-50%);
    /* Căn chỉnh chính giữa */
    width: auto;
    padding: 16px;
    color: white;
    font-size: 20px;
    background: rgba(0, 0, 0, 0.5);
    border-radius: 5px;
    transition: 0.3s;
}

.slgprev:hover,
.slgnext:hover {
    background: rgba(0, 0, 0, 0.8);
}

.slgnext {
    right: 10px;
}

.slgprev {
    left: 10px;
}

.slgcaption-container {
    text-align: center;
    background: #rgba(0, 0, 0, 0.3);
    color: black;
    padding: 10px;
    font-size: 16px;
}

.slgcaption-container p {
    margin: 0;
}

.slgrow:after {
    content: "";
    display: table;
    clear: both;
}

.thumbnail-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    max-width: 100%;
    /* Điều chỉnh kích thước theo ý muốn */
    margin: auto;
}

.thumbnail-container {
    display: flex;
    overflow: hidden;
    /* Ẩn các thumbnail dư */
    width: 100%;
    /* gap: 5px; */
    /* Khoảng cách giữa các thumbnail */
    justify-content: center;
    transition: transform 0.3s ease-in-out;
}

.slgcolumn {
    flex: 0 0 calc(25%);
    max-width: 25%;
}

.slgcolumn img {
    width: 100%;
    opacity: 0.6;
    transition: 0.3s;
    object-fit: cover;
    height: 10vh;
}

.slgcolumn img:hover,
.active {
    opacity: 1;
}